@echo off
REM ############################################################################
REM #      								       #
REM #                            SMTP 1.00B UPGRADE                            #
REM #                             October 20, 1993                             #
REM #                                                                          #
REM ############################################################################

: This batch file must be copied to and run from the root NGM directory
: (EX: \NGM)


if not exist .\patch.exe goto nopatch
if not exist .\smtp1b.rtp goto nopatch
cls
echo This SMTP patch v1.00b process will vary according to your system
echo type and the number of files to be updated. Review the file
echo RESULTS.TXT upon completion.
echo 
echo PATCHING in progress - WORKING !!!

if exist results.txt copy results.txt results.bak

PATCH /S  smtp1b.rtp   > results.txt
if errorlevel 1 goto FAIL
goto DONE


:NOPATCH
cls
echo 
echo ERROR - Please verify the following files exist in the root NGM directory.
echo 
echo         1. PATCH.EXE
echo         2. SMTP1B.RTP
echo         3. PATCHSMT.BAT
echo 
echo         Change to the NGM root directory and type 'PATCHSMT'.
echo 
goto end

:DONE
cls
echo 
echo The SMTP 1.00B Upgrade has completed. Please review the file 'RESULTS.TXT'
echo to verify the successful completion of this upgrade procedure.
goto end

:FAIL
echo 
echo ERROR - An error has occurred which has caused this SMTP v1.00B upgrade to
echo         FAIL. If the .\BACKUP directory exists on your system you must 
echo         perform the following before attempting to install the patch
echo         again. 
echo 
echo                  1.  From the .\BACKUP directory copy UNPATCH.BAK to
echo                      UNPATCH.BAT.
echo                  2.  Type UNPATCH.BAT.
echo                  3.  After the system is restored, delete the .\BACKUP
echo                      directory and its contents. 
echo                
echo         Check your system configuration and rerun "PATCHSMT.BAT". If you
echo         continue to experience problems, contact your local Novell
echo         representative.
echo 

:END
